boost::geometry::strategy::transform::rotate_transformer< DegreeOrRadian, CalculationType, Dimension1, Dimension2 > Class Template Reference
strategies: strategies

Strategy for rotate transformation in Cartesian coordinate system. More...

List of all members.

## Public Member Functions

| rotate_transformer (CalculationType const &angle)

## Detailed Description

### template<typename DegreeOrRadian, typename CalculationType, std::size_t Dimension1, std::size_t Dimension2>
class boost::geometry::strategy::transform::rotate_transformer< DegreeOrRadian, CalculationType, Dimension1, Dimension2 >

Strategy for rotate transformation in Cartesian coordinate system.

Rotate rotates a geometry of specified angle about a fixed point (e.g. origin).

See also:
  http://en.wikipedia.org/wiki/Rotation_%28mathematics%29

Template Parameters:

  DegreeOrRadian | degree/or/radian, type of rotation angle specification

Note:
  A single angle is needed to specify a rotation in 2D. Not yet in 3D, the 3D version requires special things to allow for rotation around X, Y, Z or arbitrary axis.

Examples:
  06_b_transformation_example.cpp.

## Constructor & Destructor Documentation

template<typename DegreeOrRadian, typename CalculationType, std::size_t Dimension1, std::size_t Dimension2>

boost::geometry::strategy::transform::rotate_transformer< DegreeOrRadian, CalculationType, Dimension1, Dimension2 >::rotate_transformer | ( | CalculationType const & | angle | ) |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK